Qt 5.7 | Qt 3D | C++ Classes | QScissorTest

Qt 5.7.1 Reference Documentation

# QScissorTest Class

(Qt3DRender::QScissorTest)

Inherits: | QRenderState

- List of all members, including inherited members

## Properties

- bottom : int
- height : int
- left : int
- width : int

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QScissorTest(Qt3DCore::QNode *parent = nullptr)
| ~QScissorTest()
int | bottom() const
int | height() const
int | left() const
int | width() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setBottom(int bottom)
void | setHeight(int height)
void | setLeft(int left)
void | setWidth(int width)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | bottomChanged(int bottom)
void | heightChanged(int height)
void | leftChanged(int left)
void | widthChanged(int width)

- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Property Documentation

### bottom : int

Access functions:

int | bottom() const
void | setBottom(int bottom)

Notifier signal:

void | bottomChanged(int bottom)

### height : int

Access functions:

int | height() const
void | setHeight(int height)

Notifier signal:

void | heightChanged(int height)

### left : int

Access functions:

int | left() const
void | setLeft(int left)

Notifier signal:

void | leftChanged(int left)

### width : int

Access functions:

int | width() const
void | setWidth(int width)

Notifier signal:

void | widthChanged(int width)

## Member Function Documentation

### QScissorTest::QScissorTest(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QScissorTest.

### QScissorTest::~QScissorTest()

Destroys the instance of QScissorTest.